Package com.orbbec.obsensor

## Enum HPStatusCode

- java.lang.Object
- - java.lang.Enum<HPStatusCode>
  - - com.orbbec.obsensor.HPStatusCode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HPStatusCode>`

    public enum HPStatusCode
    extends java.lang.Enum<HPStatusCode>

send data or receive data return status type

### Enum Constant Summary

Enum Constants
`HP_STATUS_CONTROL_TRANSFER_FAILED` Transfer failed
`HP_STATUS_NO_DEVICE_FOUND` No device found
`HP_STATUS_OK` success
`HP_STATUS_UNKNOWN_ERROR` Unknown error

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HPStatusCode` `get​(int value)` Get the sensor type corresponding to the specified index
`java.lang.String` `toString()`
`int` `value()` Get the int value of HPStatusCode
`static HPStatusCode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HPStatusCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HP_STATUS_OK

    public static final HPStatusCode HP_STATUS_OK

success

#### HP_STATUS_NO_DEVICE_FOUND

    public static final HPStatusCode HP_STATUS_NO_DEVICE_FOUND

No device found

#### HP_STATUS_CONTROL_TRANSFER_FAILED

    public static final HPStatusCode HP_STATUS_CONTROL_TRANSFER_FAILED

Transfer failed

#### HP_STATUS_UNKNOWN_ERROR

    public static final HPStatusCode HP_STATUS_UNKNOWN_ERROR

Unknown error

### Method Detail

#### values

    public static HPStatusCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HPStatusCode c : HPStatusCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HPStatusCode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static HPStatusCode get​(int value)

Get the sensor type corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  sensor type

#### value

    public int value()

Get the int value of HPStatusCode

Returns:
  the int value of HPStatusCode

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<HPStatusCode>`